Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 07/24/2022 in all areas

  1. Along the polyline? Look at chainage LISPS, there are some that will place a block there and I think will have a repeat or while loop as it iterates along the line, maybe all you need is to take that out to get the first distance.
    1 point
  2. Need a little more information or a sample drawing. Must have just read title Assumes start end of poly are same distance. Easy enough using vlax-curve-getpointatdist. error check to see if distance is less than 1/2 the distance of the polyline. or the start block would be past the end block on the polyline. ;;----------------------------------------------------------------------------;; ;; INSERT BLOCK AT DISTANCE FROM ENDPOINTS ON POLYLINE (defun C:foo (/ dist poly Spt Ept) (vl-load-com) (setvar 'cmdecho 0) (setq dist (getdist "\nDistance from ends of poyline: ")) (setq poly (vlax-ename->vla-object (car (entsel "\nSelect Polyline: ")))) (if (< dist (/ (vla-get-length poly) 2)) (progn (setq Spt (vlax-curve-getpointatdist poly dist)) (command "_.Insert" blockname "_non" Spt "" "" "") (setq Ept (vlax-curve-getpointatdist poly (- (vla-get-length poly) dist))) (command "_.Insert" blockname "_non" Ept "" "" "") ) (prompt "\nDistance is to large") ) (setvar 'cmdecho 1) (princ) )
    1 point
  3. Ah.... because you are printing it from Paper Space and thus the scale is 1:1. If you were printing it from model space then you would set a scale of 1" = 480.
    1 point
  4. Why not just go to Amazon and search on "AutoCAD 2016 or AutoCAD 2018" and buy a used book in good condition? Then you don't have to print anything and you have a handy reference right by your side that you can easily refer to any time you want and anywhere. Plus you get to pick from a variety of different books depending on your needs. Bottom line: low price, hardcopy, variety.
    1 point
×
×
  • Create New...